#ifndef XMATERIALSHADERARGUMENT_H
#define XMATERIALSHADERARGUMENT_H

#include "xasset.h"
#include "xmaterialargumentdef.h"

class XMaterialShaderArgument : public XAsset
{
public:
    explicit XMaterialShaderArgument();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

    quint16 GetType() const;
    quint16 GetDest() const;

private:
    quint16 mType;
    quint16 mDest;
    XMaterialArgumentDef mDef;
};

#endif // XMATERIALSHADERARGUMENT_H
